Package wx :: Class ContextHelpButton

[frames | no frames]

## Type ContextHelpButton

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                        Button --+
                                 |
                      BitmapButton --+
                                     |
                                    ContextHelpButton

Instances of this class may be used to add a question mark button that when pressed, puts the application into context-help mode. It does this by creating a wx.ContextHelp object which itself generates a `EVT_HELP` event when the user clicks on a window.

On Windows, you may add a question-mark icon to a dialog by use of the `wx.DIALOG_EX_CONTEXTHELP` extra style, but on other platforms you will have to add a button explicitly, usually next to OK, Cancel or similar buttons.

See Also:

`wx.ContextHelp`, `wx.ContextHelpButton`

Method Summary
ContextHelpButton | ``__init__`(self, parent, id, pos, size, style)` Constructor, creating and showing a context help button.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=ID_CONTEXT_HELP, pos=DefaultPosition, size=DefaultSize, style=BU_AUTODRAW)
(Constructor)

Constructor, creating and showing a context help button.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

  Returns:
    ContextHelpButton
  Overrides:
    `wx.BitmapButton.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:32 2007 | http://epydoc.sf.net